Package uk.ac.starlink.task

## Class InputStreamParameter

- java.lang.Object
- - uk.ac.starlink.task.Parameter<java.io.InputStream>
  - - uk.ac.starlink.task.InputStreamParameter

-     public class InputStreamParameter
      extends Parameter<java.io.InputStream>

  Parameter which can provide an input stream based on its value. The string value may be a filename, a URL or the special value "-" which indicates standard input. Streams are automatically uncompressed.
  Since:
    16 Aug 2005
  Author:
    Mark Taylor (Starlink)
  See Also:
    `Compression`

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.task.Parameter

      `BY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputStreamParameter​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.InputStream` | `stringToObject​(Environment env, java.lang.String sval)` | Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter.

    - ### Methods inherited from class uk.ac.starlink.task.Parameter

      `clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStreamParameter

          public InputStreamParameter​(java.lang.String name)

  - ### Method Detail

    - #### stringToObject

          public java.io.InputStream stringToObject​(Environment env,
                                                    java.lang.String sval)
                                             throws ParameterValueException

      Description copied from class: `Parameter`
      Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter. This method also performs validation, so if the string value is unacceptable in any way, a ParameterValueException should be thrown.

      It is an error to supply a null or empty string value.

      If this method fails (throws a ParameterValueException) and if `allowClassnameValue` is set, then a subsequent attempt will be made to interpret the `stringVal` as the classname of a suitable class with a no-arg constructor.

      Specified by:
        `stringToObject` in class `Parameter<java.io.InputStream>`
      Parameters:
        `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
        `sval` - non-null, non-empty string value
      Returns:
        typed value
      Throws:
        `ParameterValueException`